<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRouteFilterReq StructType
 * @subpackage Structs
 */
class AddRouteFilterReq extends APIRequest
{
    /**
     * The routeFilter
     * @var XRouteFilter
     */
    public $routeFilter;
    /**
     * Constructor method for AddRouteFilterReq
     * @uses AddRouteFilterReq::setRouteFilter()
     * @param XRouteFilter $routeFilter
     */
    public function __construct(XRouteFilter $routeFilter = null)
    {
        $this
            ->setRouteFilter($routeFilter);
    }
    /**
     * Get routeFilter value
     * @return XRouteFilter|null
     */
    public function getRouteFilter()
    {
        return $this->routeFilter;
    }
    /**
     * Set routeFilter value
     * @param XRouteFilter $routeFilter
     * @return AddRouteFilterReq
     */
    public function setRouteFilter(XRouteFilter $routeFilter = null)
    {
        $this->routeFilter = $routeFilter;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRouteFilterReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
